import Vue from '../src/utils/permit';
import ElementUI from 'element-ui';


import 'normalize.css/normalize.css' // a modern alternative to CSS resets
import '../src/styles/element-variables.scss'
import '../src/styles/index.scss' // global css


import App from './App.vue'

import store from '../src/store'
import router from '../src/router'

import config from 'gcloud-core-vue/src/core/config.js'

import "../src/router/permission"


import {tokenOpts,tokenStreamOpts} from '../src/grpc/token'
import {oauthOpts} from '../src/grpc/oauth'



import GcloudFile from 'gcloud-file-vue/src/index.js'
import Ucenter from '../src/index.js'

Vue.use(ElementUI);

import '../src/icons' // icon

Vue.config.productionTip = false
console.log(process.env);
config.oauthOpts = oauthOpts;
config.baseOpts = tokenOpts;
config.baseStreamOpts = tokenStreamOpts;
config.baseUrl = process.env.VUE_APP_BASE_API;
config.oauthUrl = process.env.VUE_APP_OAUTH_API;
console.log(config);


Vue.use(GcloudFile,config);
Vue.use(Ucenter,config)

new Vue({
  Vue,
  router,
  store,
  render: h => h(App),
}).$mount('#app')
